package dev.jansel.aglaea.utils

import dev.jansel.aglaea.twitchClient
import dev.kordex.core.builders.ExtensibleBotBuilder
import dev.kordex.core.utils.env
import dev.kordex.core.utils.loadModule
import org.koin.dsl.bind

val twitchcid = env("TWITCH_CLIENT_ID")
val twitchcs = env("TWITCH_CLIENT_SECRET")

suspend inline fun ExtensibleBotBuilder.twitch(active: Boolean) {
	hooks {
		beforeKoinSetup {
			loadModule {
				single { Twitch() } bind Twitch::class
			}

			if (active) {
				Twitch().init()
			}
		}
	}
}

fun getTwitchNameById(id: String): String? {
	val resultList = twitchClient!!.helix?.getUsers(null, listOf(id), null)?.execute()
	resultList?.users?.forEach { user ->
		if (user.id == id) {
			return user.displayName
		}
	}
	return null
}
